Panda3D

Functions
cullResult.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "cullResult.h"`
`#include "cullBinManager.h"`
`#include "cullBinAttrib.h"`
`#include "textureAttrib.h"`
`#include "lightAttrib.h"`
`#include "colorAttrib.h"`
`#include "alphaTestAttrib.h"`
`#include "depthWriteAttrib.h"`
`#include "colorScaleAttrib.h"`
`#include "fogAttrib.h"`
`#include "transparencyAttrib.h"`
`#include "renderState.h"`
`#include "rescaleNormalAttrib.h"`
`#include "clockObject.h"`
`#include "config_pgraph.h"`
`#include "depthOffsetAttrib.h"`
`#include "colorBlendAttrib.h"`
`#include "shaderAttrib.h"`

Go to the source code of this file.

## Functions
| CPT (RenderState) CullResult
| Returns a RenderState that renders only the wireframe part of an M_filled_wireframe model. More...
| PT (CullResult) CullResult
| Returns a newly-allocated CullResult object that contains a copy of just the subset of the data from this CullResult object that is worth keeping around for next frame. More...
| PT (PandaNode) CullResult
| Returns a special scene graph constructed to represent the results of the cull. More...

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2002-02-28

Definition in file cullResult.cxx.

## Function Documentation

## ◆ CPT()

CPT | ( | RenderState |  | ) |

Returns a RenderState that renders only the wireframe part of an M_filled_wireframe model.

If a shader attrib is provided, a constant color is used in ColorBlendAttrib to emulate the flat color.

Definition at line 525 of file cullResult.cxx.

## ◆ PT() [1/2]

PT | ( | CullResult |  | ) |

Returns a newly-allocated CullResult object that contains a copy of just the subset of the data from this CullResult object that is worth keeping around for next frame.

Adds the indicated CullableObject to the appropriate bin. The bin becomes the owner of the object pointer, and will eventually delete it.

Definition at line 78 of file cullResult.cxx.

References CullBinManager::get_global_ptr().

## ◆ PT() [2/2]

PT | ( | PandaNode |  | ) |

Returns a special scene graph constructed to represent the results of the cull.

This will be a hierarchy of nodes, one node for each bin, each of which will in term be a parent of a number of GeomNodes, representing the geometry drawn in each bin.

This is useful mainly for high-level debugging and abstraction tools; it should not be mistaken for the low-level cull result itself. For the low- level cull result, use draw() to efficiently draw the culled scene.

Definition at line 319 of file cullResult.cxx.

References CullBinManager::get_global_ptr(), and CullBinManager::get_num_bins.